import React, { useState } from 'react';
import Accordion from './Accordion';

const AccordionGroup = ({ items }) => {
    const [openIndex, setOpenIndex] = useState(null);

    const handleToggle = (index) => {
        setOpenIndex(prevIndex => (prevIndex === index ? null : index));
    };

    return (
        <>
            {items.map((item, index) => (
                <Accordion
                    key={index}
                    title={item.title}
                    isOpen={openIndex === index}
                    onToggle={() => handleToggle(index)}
                >
                    {item.content}
                </Accordion>
            ))}
        </>
    );
};

export default AccordionGroup;
